// Copyright 2019 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

// +build ignore

// Gen64 generates qsufsort64.go from qsufsort.go by s/32/64/g.
package main

import (
	"bytes"
	"io/ioutil"
	"log"
)

func main() {
	log.SetPrefix("gen64: ")
	log.SetFlags(0)

	data, err := ioutil.ReadFile("qsufsort.go")
	if err != nil {
		log.Fatal(err)
	}

	data = bytes.Replace(data, []byte("\n\n"), []byte("\n\n// Code generated by gen64.go; DO NOT EDIT.\n//go:generate go run gen64.go\n\n"), 1)
	data = bytes.Replace(data, []byte("32"), []byte("64"), -1)

	if err := ioutil.WriteFile("qsufsort64.go", data, 0666); err != nil {
		log.Fatal(err)
	}
}
